X2Go Bug report logs - #836
defaults.py X2GOBROKER_SESSIONPROFILE_DEFAULTS height/width/fullscreen values prevents client from setting initial geometry on startup

version graph

Package: python-x2gobroker; Maintainer for python-x2gobroker is (unknown); Source for python-x2gobroker is src:x2gobroker.

Reported by: Jason Alavaliant <alavaliant@ra09.com>

Date: Sat, 4 Apr 2015 09:05:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.3.0

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #20 received at 836@bugs.x2go.org (full text, mbox, reply):

Received: (at 836) by bugs.x2go.org; 13 Apr 2015 10:55:54 +0000
From x2go@ymir.das-netzwerkteam.de  Mon Apr 13 12:55:45 2015
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 2F2C05E07D; Mon, 13 Apr 2015 12:55:45 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 836-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 836@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150413105545.2F2C05E07D@ymir.das-netzwerkteam.de>
Date: Mon, 13 Apr 2015 12:55:45 +0200 (CEST)
tag #836 pending
fixed #836 0.0.3.0
thanks

Hello,

X2Go issue #836 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=f2cb22f

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f2cb22f54241117258fa4c01649d88759fc9573f
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Apr 13 12:45:38 2015 +0200

    Implement "not-set" value for X2Go Client parameters. If a parameter is set to "not-set", the parameter won't be handed over to X2Go Client. (Fixes: #836).

diff --git a/debian/changelog b/debian/changelog
index 61bc3c9..4ea77f2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -319,6 +319,9 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
       $SSH_ORIGINAL_COMMAND environment var, make sure to strip-off
       "sh -c" from the command's beginning.
     - x2gobroker-agent.pl: Fix detection of X2Go's library path (x2gopath lib).
+    - Implement "not-set" value for X2Go Client parameters. If a parameter
+      is set to "not-set", the parameter won't be handed over to X2Go Client.
+      (Fixes: #836).
   * debian/control:
     + Provide separate bin:package for SSH brokerage: x2gobroker-ssh.
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 14 17:50:44 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.